ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0014451ClearOSapp-network - Network Settingspublic2017-04-18 18:572017-05-01 09:49
Reporterpbaldwin 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.3.1 
Target Version7.3.1 UpdatesFixed in Version7.3.1 Updates 
Summary0014451: Avoid sudo calls from clearconsole
DescriptionTo protect WiFi paswords, wireless network interface config files have restrictive permissions. This can be a problem for clearconsole -- it does not have permissions to read these config files. Adjust the network API call to avoid reading the network config files ... clearconsole does not need this info.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0014271closedpbaldwin Text console will produce the error asking for clearconsole 
related to 0013851closedpbaldwin Webconfig API can't read upstream_proxy.conf 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-04-18 18:57 pbaldwin New Issue
2017-04-18 18:59 pbaldwin Status new => resolved
2017-04-18 18:59 pbaldwin Fixed in Version => 7.3.0 Beta 1
2017-04-18 18:59 pbaldwin Resolution open => fixed
2017-04-18 18:59 pbaldwin Assigned To => pbaldwin
2017-04-26 08:33 pbaldwin Status resolved => closed
2017-04-26 08:33 pbaldwin Fixed in Version 7.3.0 Beta 1 => 7.3.1 Updates
2017-05-01 09:49 pbaldwin Relationship added related to 0013851
2017-05-09 17:00 pbaldwin Relationship added has duplicate 0014271